Bug 448561 - Review Request: xorg-x11-drv-suncg6 - X driver for suncg6
Review Request: xorg-x11-drv-suncg6 - X driver for suncg6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 13:15 EDT by Dennis Gilmore
Modified: 2008-06-06 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 17:44:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-05-27 13:15:06 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-suncg6.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-suncg6-1.1.0-2.fc9.src.rpm
Description: 
X driver for suncg6 hardware
Comment 1 Dennis Gilmore 2008-06-03 19:29:23 EDT
scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=58925
Comment 2 Brian Pepple 2008-06-03 21:44:35 EDT
MD5Sum:
aa6b7836fe6ccc99994bf15ff2b74e86  xf86-video-suncg6-1.1.0.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following errors which should be fixed:
xorg-x11-drv-suncg6.sparc64: E: standard-dir-owned-by-package /usr/share/man/man4
xorg-x11-drv-suncg6.sparc64: E: standard-dir-owned-by-package /usr/share/man
xorg-x11-drv-suncg6.sparc64: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.  And the directory errors can also be fixed
at import time.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE.
Comment 3 Dennis Gilmore 2008-06-03 22:54:15 EDT
Package Name: xorg-x11-drv-suncg6
Short Description: X driver for suncg6
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Dennis Gilmore 2008-06-06 17:44:48 EDT
imported and built  thanks for the review

Note You need to log in before you can comment on or make changes to this bug.